# Базов пакет за приложения в Windows (Windows App Essentials) #

* Автори: Joseph Lee, Derek Riemer и други

Забележка: Първоначално наречена "Базов пакет за приложения в Windows 10",
вече е преименувана на "Базов пакет за приложения в Windows" през 2021 г.,
за да поддържа Windows 10 и бъдещи версии като Windows 11. Части от тази
добавка все още ще се отнасят до оригиналното име на добавката.

Тази добавка е колекция от спомагателни модули за разни приложения в
Windows. Тя също така съдържа поправки и подобрения за разни контроли в
интерфейса на windows 10 и по-нови.

Включени са следните спомагателни модули за дадени приложения и модули за
приложения (прегледайте раздела за съответното приложение за подробности
относно включените неща):

* Модерна клавиатура
* Настройки (Windows+I)

Забележки:

* Тази добавка изисква 64-битово издание на Windows 10 версия 22H2
  (компилация 19045), Windows 11 22H2 (компилация 22621) или по-нови
  издания.
* Продължителността на поддръжката за дадена актуализация на функции е
  свързана с продължителността на клиентската поддръжка (Home, Pro, Pro
  Education, Pro for Workstations издания) и добавката може да прекрати
  поддръжката за актуализация на функции преди края на клиентската
  поддръжка. Вижте <https://aka.ms/WindowsTargetVersioninfo> за повече
  информация и крайните дати за поддръжка.
* Въпреки че е възможно да се инсталира на тях, тази добавка не поддържа
  Windows 10 Enterprise LTSC (Long-Term Servicing Channel) и Windows Server.
* Не всички функции от компилациите на Windows Insider Preview ще се
  поддържат, още повече за функциите, въведени само за ограничен брой
  потребители на Windows Insider в каналите canary и dev.
* Добавката може да емулира промени, включени в компилациите на Insider
  Preview, които впоследствие се премахват, и за тези промени добавката може
  да ги премахне в бъдещи версии.
* Тестовият канал на добавката ще включва промени, включително
  експериментално съдържание, което може да бъде, а може и да не бъде
  включено в бета и стабилни версии, а бета каналът ще включва промени,
  планирани за бъдещи стабилни версии.
* Някои функции на добавката са в момента или ще бъдат включени в екранния
  четец NVDA.
* За най-добро изживяване с приложения, които вграждат уеб технологии и
  съдържание, като менюто "Старт" и неговото контекстно меню, включете
  настройката "Автоматичен режим на фокус при промяна във фокуса" от панела
  с настройки за режима на разглеждане на NVDA.

За списък на промените, направени между всяко издание на добавката, вижте
документа ["Списък с промените за всяко издание на добавката"][1].

## Общи

* В компилациите на Windows 11 24H2 Insider Preview елементите на интерфейса
  на "Бързи настройки" (shellhost.exe) могат да се изследват с помощта на
  мишка и/или сензорен екран.

## Модерна клавиатура

Това включва панел за емоджи, хронология на клипборда, сензорна клавиатура,
диктуване/гласово въвеждане, предложения при хардуерно въвеждане, предложени
действия и редактори за съвременни методи за въвеждане на определени езици в
Windows 10 и 11. Когато преглеждате емоджи, за най-добро изживяване,
включете опцията за използване на данни от Уникод консорциума от настройките
за реч на NVDA и задайте нивото на пунктуацията на "някои" или
по-високо. Когато поставяте от хронологията на клипборда в Windows 10,
натиснете клавиша за интервал вместо клавиша Enter, за да поставите избрания
елемент.

* В Windows 11, NVDA ще докладва предложените действия, когато съвместими
  данни, като например телефонни номера, бъдат копирани в клипборда. Тази
  функционалност е вече част от NVDA 2024.2.

## Настройки (Windows+I)

* NVDA ще докладва промените на състоянието на Windows Update, докато
  изтеглянето и инсталирането са в ход. В Windows 10 това може да доведе до
  прекъсване на говора при навигация в приложението "Настройки", докато
  актуализациите се изтеглят и инсталират. В Windows 11 обектната навигация
  може да се използва в списъка с актуализации за преглед на състоянието на
  актуализацията за отделните елементи.

[[!tag dev stable]]

[1]: https://github.com/josephsl/wintenapps/wiki/w10changelog
